import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

export default defineConfig({
  plugins: [vue()],
  server: {
    allowedHosts: ["qa.huiyushuyuan.cn"],
    port: 5173,
    host: "0.0.0.0",
    proxy: {
      "/api": {
        target: "http://backend:8100",
        changeOrigin: true,
      },
    },
  },
});
